## cl-drakma 1.3.11

=== doc/Makefile ===

all:
	xsltproc --stringparam library-version `perl -ne 'print "$$1\n" if (/\(defvar \*drakma-version-string\* "(.*)"/)' ../drakma.asd` clixdoc.xsl index.xml > index.html

## cl-drakma 1.3.10

=== debian/changelog ===
cl-drakma (1.3.10-2) unstable; urgency=medium

  * Fix dependencies, that changed in Quicklisp release 2014-10-06

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 14 Oct 2014 02:21:11 +0400

cl-drakma (1.3.10-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 10 Oct 2014 14:02:43 +0400

cl-drakma (1.3.9-2) unstable; urgency=medium

  * Drakma depends on cl+ssl

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 25 Aug 2014 20:09:06 +0400

cl-drakma (1.3.9-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 04 Aug 2014 23:46:28 +0400

=== debian/control ===
Source: cl-drakma
Section: lisp
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.5
Homepage: http://weitz.de/drakma/
Vcs-Git: https://github.com/edicl/drakma.git
Vcs-Browser: https://github.com/edicl/drakma

Package: cl-drakma
Architecture: all
Depends: ${misc:Depends}, cl-flexi-streams, cl-puri, cl-base64, cl-chunga, cl-ppcre, cl-usocket, cl-plus-ssl, cl-chipz, cl-fiveam
Description: Common Lisp HTTP client
 Drakma is a full-featured HTTP client implemented in Common Lisp. It knows
 how to handle HTTP/1.1 chunking, persistent connections, re-usable sockets,
 SSL, continuable uploads, file uploads, cookies, and more.

## cl-drakma 1.3.11

=== debian/changelog ===
cl-drakma (1.3.11-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 18 Dec 2014 18:13:42 +0300

## cl-drakma 1.3.13

=== debian/changelog ===
cl-drakma (1.3.13-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 02 May 2015 17:01:30 +0300

## cl-drakma 1.3.15

=== debian/changelog ===
cl-drakma (1.3.15-1~pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-cl-drakma-source-
    distribution=jessie-1, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 21 Jul 2015 08:18:24 +0200

cl-drakma (1.3.15-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:44:50 +0300

## cl-drakma 2.0.1

=== debian/changelog ===
cl-drakma (2.0.1-1~pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-cl-drakma-source-
    distribution=jessie-2, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 16 Sep 2015 12:57:12 +0200

cl-drakma (2.0.1-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 02 Sep 2015 16:21:48 +0300

## cl-drakma 2.0.2

=== debian/changelog ===
cl-drakma (2.0.2-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 02 Nov 2015 20:33:41 +0300

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= drakma
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

%:
	dh $@ --with lisp

override_dh_install:
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

override_dh_installdocs:
	dh_installdocs doc/index.html

## cl-drakma 2.0.3

=== debian/changelog ===
cl-drakma (2.0.3-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:28:53 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://weitz.de/drakma/
 Vcs-Git: https://github.com/edicl/drakma.git
 Vcs-Browser: https://github.com/edicl/drakma

## cl-drakma 2.0.4

=== debian/changelog ===
cl-drakma (2.0.4-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 16 May 2018 09:48:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://weitz.de/drakma/
 Vcs-Git: https://github.com/edicl/drakma.git
 Vcs-Browser: https://github.com/edicl/drakma

## cl-drakma 2.0.7

=== debian/changelog ===
cl-drakma (2.0.7-1) unstable; urgency=medium

  * New upstream release
  * Move under Debian Common Lisp Team maintenance. Thanks to Dimitri Fontaine
    for his work on this package.
  * Add debian/watch
  * Remove Build-Depends on dh-lisp
  * Bump to S-V 4.5.0
  * Update Homepage
  * Update d/copyright
  * Update Vcs-* fields for move to salsa.
  * Add Rules-Requires-Root: no
  * Mark as M-A foreign
  * Convert d/rules to dh
  * Rebuild doc at built time. Consequently, add Build-Depends on xsltproc
  * Downgrade cl-fiveam to a Recommends, since it is only needed for the
    testsuite
  * Add an autopkgtest that runs the testsuite under sbcl and clisp
  * disable-null-badssl-test.patch: new patch, disables a failing test

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 11 Apr 2020 19:34:37 +0200

=== debian/control ===
Source: cl-drakma
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 12),
               xsltproc
Standards-Version: 4.5.0
Homepage: https://edicl.github.io/drakma/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-drakma.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-drakma
Rules-Requires-Root: no

Package: cl-drakma
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cl-flexi-streams,
         cl-puri,
         cl-base64,
         cl-chunga,
         cl-ppcre,
         cl-usocket,
         cl-plus-ssl,
         cl-chipz
Recommends: cl-fiveam
Description: Common Lisp HTTP client
 Drakma is a full-featured HTTP client implemented in Common Lisp. It knows
 how to handle HTTP/1.1 chunking, persistent connections, re-usable sockets,
 SSL, continuable uploads, file uploads, cookies, and more.

## cl-drakma 2.0.8

=== debian/changelog ===
cl-drakma (2.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sébastien Villemot ]
  * New upstream release
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * disable-null-badssl-test.patch: drop patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Nov 2021 17:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://edicl.github.io/drakma/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-drakma.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-drakma

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-fiveam
Restrictions: allow-stderr

## Too many test failures on ecl
#Test-Command: ecl -norc -shell debian/tests/runtests.lisp
#Depends: @, ecl, cl-fiveam
#Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-fiveam
Restrictions: allow-stderr

## cl-drakma 2.0.10

=== docs/Makefile ===

all:
	xsltproc --stringparam library-version `perl -ne 'print "$$1\n" if (/:version "(.*)"/)' ../drakma.asd` clixdoc.xsl index.xml > index.html

=== debian/changelog ===
cl-drakma (2.0.10-2) unstable; urgency=medium

  * Disable autopkgtest as they now depend on the missing easy-routes package

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 12:14:19 +0100

cl-drakma (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10
  * Added myself as uploader
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Nov 2024 11:12:05 +0100

cl-drakma (2.0.8-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Nov 2024 11:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://edicl.github.io/drakma/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-drakma.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-drakma

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C docs

override_dh_auto_clean:
	rm -f docs/index.html

=== debian/tests/control ===
#Test-Command: sbcl --script debian/tests/runtests.lisp
#Depends: @, sbcl, cl-fiveam, cl-hunchentoot, :easy-routes
#Restrictions: allow-stderr

## Too many test failures on ecl
#Test-Command: ecl -norc -shell debian/tests/runtests.lisp
#Depends: @, ecl, cl-fiveam
#Restrictions: allow-stderr

#Test-Command: clisp -norc debian/tests/runtests.lisp
#Depends: @, clisp, cl-fiveam, cl-hunchentoot :easy-routes
#Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cl-drakma-$1.tar.gz%" \
    https://github.com/edicl/drakma/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
